Bug 1809813 - Node events missing link in console
Summary: Node events missing link in console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 22:26 UTC by Samuel Padgett
Modified: 2020-07-13 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, some node events would not show the node name when viewed in the OpenShift console events page. The events now correctly link to the corresponding node.
Clone Of:
Environment:
Version: 4.5.0-0.ci-2020-03-03-154145 Cluster ID: 629b7da2-b56f-4e6d-b7fc-71886a81ecbf Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:73.0) Gecko/20100101 Firefox/73.0
Last Closed: 2020-07-13 17:17:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Missing event object for node events (91.40 KB, image/png)
2020-03-03 22:26 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4617 0 None closed Bug 1809813: Handle object references with missing API version 2020-06-23 08:58:30 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:18:17 UTC

Description Samuel Padgett 2020-03-03 22:26:22 UTC
Created attachment 1667325 [details]
Missing event object for node events

See screenshot. Node events don't have an API version in their involved object. This field is optional. The CLI has a RESTMapper that determines the API version and group from discovery. Console should handle this as well.

Comment 3 shahan 2020-03-18 06:02:50 UTC
The events stream will show the object resource icon.
4.5.0-0.nightly-2020-03-17-201105

Comment 5 errata-xmlrpc 2020-07-13 17:17:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.